Create a fact-find request Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/fact-find/request

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • fact_find_schema_uuid string(uuid) Required

    The UUID of the fact find schema that you would like the client to use.

  • client_uuid string(uuid) Required

    The UUID of the client account to send the fact find request. This must only be individual clients. Cannot be used with circle_uuid.

  • circle_uuid string(uuid) Required

    The UUID of the circle to send the fact find request to. Cannot be used with client_uuid.

  • send_invitation_email boolean

    This controls if an email to the client is sent to invite them to complete a fact find. Set this to false if you are going to send your own invitation.

  • invitation_text string

    The text that will appear in the invitation email sent to the client (if enabled)

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • status string

      The status of the fact find request. Available options: in_progress,complete,approved,rejected

    • completed_at string

      The datetime when the fact find request has been completed

    • invitation_text string

      The text that is used in the notification/email sent out to the client.

    • schema object

      The fact find schema used for the fact find request.

      Hide schema attributes Show schema attributes object
      • uuid string
      • created_at string
      • updated_at string
      • archived_at string
      • is_archived boolean
      • name string
      • introduction_html string
      • sections_count integer
      • public_url string
    • latest_file object

      The latest file that has been generated for the fact find request.

      Hide latest_file attributes Show latest_file attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • account object

      The account that the fact find request was sent to. Only visible when listing fact find requests for a circle.

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references string
    • invitation_url string

      The invitation URL sent to the client.

    • fact_find_passes object

      The fact find passes added to the fact find request.

      Hide fact_find_passes attributes Show fact_find_passes attributes object
      • uuid string
      • created_at string
      • updated_at string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid string
        • name string
      • account string
      • circle object
        Hide circle attributes Show circle attributes object
        • uuid string
        • name string
      • expires_at string
      • progress integer
      • is_complete boolean
      • completed_sections integer
POST /api/v1/fact-find/request
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/fact-find/request' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"fact_find_schema_uuid":"c19ef4b6-7aaf-4be3-98a5-b4eb1ae51ef3","client_uuid":"81147832-fde4-4cab-974c-a5a3ebbe2d29","circle_uuid":"00f07f11-53b1-4135-bbc2-480c84b38396","send_invitation_email":true,"invitation_text":"Please complete this fact find."}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "fact_find_schema_uuid": "c19ef4b6-7aaf-4be3-98a5-b4eb1ae51ef3",
  "client_uuid": "81147832-fde4-4cab-974c-a5a3ebbe2d29",
  "circle_uuid": "00f07f11-53b1-4135-bbc2-480c84b38396",
  "send_invitation_email": true,
  "invitation_text": "Please complete this fact find."
}
Response examples (201)
{
  "uuid": "248d8443-54d5-423a-b634-e524a7940f86",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "status": "complete",
  "completed_at": "2026-06-03T16:08:03+01:00",
  "invitation_text": "Please complete this fact find!",
  "schema": {
    "uuid": "d4182ca8-d30d-4ff9-ba30-1c2f8b1e8262",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "archived_at": "2026-06-07T16:08:03+01:00",
    "is_archived": false,
    "name": "Default fact find",
    "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
    "sections_count": 5,
    "public_url": "https://api.plannrcrm.com/fact-find/4b89a494-ddaa-4667-aa14-4822ceaa293f"
  },
  "latest_file": {
    "uuid": "1a18d977-dc3c-4453-afc3-003391002f12",
    "created_at": "2026-06-08T16:08:03+01:00",
    "original_created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "uploaded_at": "2026-06-08T16:08:03+01:00",
    "status": "uploaded",
    "filename": "Welcome to Plannr.pdf",
    "name": "Welcome to Plannr",
    "extension": "pdf",
    "type": "type",
    "size": "21691783",
    "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
    "last_modified": "2026-06-08T16:08:03+01:00",
    "progress": "100",
    "download_url": "https://api.plannrcrm.com/file/f31f8475-1098-41a2-a2a4-d40448869019/download",
    "folder_name": "folder 2",
    "folder": "App\\Http\\Resources\\FolderResource",
    "documentable_type": "account",
    "documentable": "Object",
    "navigator": {
      "model_type": "account",
      "model_uuid": "8e7d5b90-8ddc-45a1-9de6-5c72386de985"
    },
    "firm": "App\\Http\\Resources\\FirmResource",
    "account": "App\\Http\\Resources\\MinimalAccountResource",
    "tags": "App\\Http\\Resources\\TagResource"
  },
  "account": {
    "uuid": "a9405686-98ec-475e-bd97-39e6f4e6ed45",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "invitation_url": "https://api.plannrcrm.com/fact-find/d15de42e-eb53-40c5-895d-ca45f5c4f78a/3d98de8d-f9c2-49fd-b322-408cfe8f32e4",
  "fact_find_passes": {
    "uuid": "cc4f9c7d-00d8-48af-be74-7c341f74ca5c",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "firm": {
      "uuid": "d6fc2a82-77d4-4534-b505-5fc7b2257478",
      "name": "Codepotato Ltd"
    },
    "account": "App\\Http\\Resources\\MinimalAccountResource",
    "circle": {
      "uuid": "99623b96-d871-4602-b546-5261d7113896",
      "name": "The Codepotato Gang"
    },
    "expires_at": "2026-06-08T16:08:03+01:00",
    "progress": 50,
    "is_complete": false,
    "completed_sections": 2
  }
}